Bug 454199 - Review Request: pentaho-libxml - Namespace aware SAX-Parser utility library
Review Request: pentaho-libxml - Namespace aware SAX-Parser utility library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 457263
  Show dependency treegraph
 
Reported: 2008-07-06 10:16 EDT by Caolan McNamara
Modified: 2008-08-11 21:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 14:00:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
walters: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-07-06 10:16:12 EDT
Spec URL: http://people.redhat.com/caolanm/jfreereport/pentaho-libxml.spec
SRPM URL: http://people.redhat.com/caolanm/jfreereport/pentaho-libxml-0.9.11-1.fc9.src.rpm
Description: Java Namespace aware SAX-Parser utility library

This is a dependency of pentaho-reporting-flow-engine (formerly known as jfreereport) which itself is a dependency of OpenOffice.org3. This package is known as "libxml" by pentaho but that name is already in use in fedora, hence the suggested pentaho-libxml
Comment 1 Colin Walters 2008-08-06 10:55:15 EDT
[+] source files match upstream
[+] package meets naming and versioning guidelines
 - Can you annotate the patch to say whether it is going to be upstreamed?  
 https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus 

[+] specfile is properly named, is cleanly written and uses macros consistently
[+] dist tag is present.
[+] build root is correct.
 (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) is the
recommended value, but not the only one)
[+] license field matches the actual license.
[+] license is open source-compatible.
[+] license text included in package.
[+] latest version is being packaged (as far as I can tell)
[+] BuildRequires are proper
[+] %clean is present.
[+] package builds in koji
[+] package installs properly
[+] rpmlint is silent.
[+] owns the directories it creates.
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.
[+] code, not content.
[+] -javadoc package exists and works
[+] %doc exists

Looks good to me.
Comment 2 Caolan McNamara 2008-08-06 11:13:20 EDT
New Package CVS Request
=======================
Package Name: pentaho-libxml
Short Description:  Namespace aware Java SAX-Parser utility library
Owners: caolanm
Branches:
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-06 13:30:50 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.